# WebCryptoAesCipher | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- WebCryptoAesCipher

### Implements

- AesCipher

## Index

### Constructors

- constructor

### Properties

- subtleCrypto

### Methods

- decrypt
- encrypt

## Constructors

### constructor

- new WebCryptoAesCipher(subtleCrypto: SubtleCrypto): WebCryptoAesCipher

- - Defined in packages/encryption/src/aesCipher.ts:54

  #### Parameters

  - ##### subtleCrypto: SubtleCrypto

  #### Returns WebCryptoAesCipher

## Properties

### subtleCrypto

subtleCrypto: SubtleCrypto

- Defined in packages/encryption/src/aesCipher.ts:54

## Methods

### decrypt

- decrypt(algorithm: CipherAlgorithm, key: Buffer, iv: Buffer, data: Buffer): Promise<Buffer>

- Implementation of AesCipher.decrypt

  - Defined in packages/encryption/src/aesCipher.ts:84

  #### Parameters

  - ##### algorithm: CipherAlgorithm

  - ##### key: Buffer

  - ##### iv: Buffer

  - ##### data: Buffer

  #### Returns Promise<Buffer>

### encrypt

- encrypt(algorithm: CipherAlgorithm, key: Buffer, iv: Buffer, data: Buffer): Promise<Buffer>

- Implementation of AesCipher.encrypt

  - Defined in packages/encryption/src/aesCipher.ts:60

  #### Parameters

  - ##### algorithm: CipherAlgorithm

  - ##### key: Buffer

  - ##### iv: Buffer

  - ##### data: Buffer

  #### Returns Promise<Buffer>

Generated using TypeDoc